package org.dromara.payment.exception;

public class CustomException extends RuntimeException
{
    private static final long serialVersionUID = 1L;
    private Integer code;
    private String message;

    public CustomException(final String message) {
        this.message = message;
    }

    public CustomException(final String message, final Integer code) {
        this.message = message;
        this.code = code;
    }

    public CustomException(final String message, final Throwable e) {
        super(message, e);
        this.message = message;
    }

    @Override
    public String getMessage() {
        return this.message;
    }

    public Integer getCode() {
        return this.code;
    }
}
